Subject: bug#17150: Stale bootstrap/*/guile-2.0.9.tar.xz files are not detected

From: Mark H Weaver <[email-masked]>
Date: Mon, 31 Mar 2014 15:40:59 -0400

I wrote:
> I just realized that my x86_64 and Loongson 3A systems have spent an
> enormous amount of time building the new guix master branch based on
> outdated bootstrap/*/guile-2.0.9.tar.xz.

Upon further investigation, I see that only MIPS was affected by this
problem in the recent merge of core-updates.  The reason is that the
bootstrap guile for MIPS was updated without changing its version
number, whereas the Intel ones were 2.0.7 before the update.

     Mark